org.apache.datasketches.pig.tuple

## Class DataToArrayOfDoublesSketch.IntermediateFinal

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.tuple.DataToArrayOfDoublesSketch.IntermediateFinal

Enclosing class:
  DataToArrayOfDoublesSketch

    public static class DataToArrayOfDoublesSketch.IntermediateFinal
    extends org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`IntermediateFinal()` Constructor for the intermediate and final passes of an Algebraic function.
`IntermediateFinal(String numValues)` Constructor for the intermediate and final passes of an Algebraic function.
`IntermediateFinal(String sketchSize, String numValues)` Constructor for the intermediate and final passes of an Algebraic function.
`IntermediateFinal(String sketchSize, String samplingProbability, String numValues)` Constructor for the intermediate and final passes of an Algebraic function.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.Tuple` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntermediateFinal

    public IntermediateFinal()

Constructor for the intermediate and final passes of an Algebraic function. Using default parameters.

#### IntermediateFinal

    public IntermediateFinal(String numValues)

Constructor for the intermediate and final passes of an Algebraic function. This will be passed the same constructor arguments as the original UDF.

Parameters:
  `numValues` - Number of double values to keep for each key

#### IntermediateFinal

    public IntermediateFinal(String sketchSize,
                             String numValues)

Constructor for the intermediate and final passes of an Algebraic function. This will be passed the same constructor arguments as the original UDF.

Parameters:
  `sketchSize` - String representation of sketch size
  `numValues` - Number of double values to keep for each key

#### IntermediateFinal

    public IntermediateFinal(String sketchSize,
                             String samplingProbability,
                             String numValues)

Constructor for the intermediate and final passes of an Algebraic function. This will be passed the same constructor arguments as the original UDF.

Parameters:
  `sketchSize` - String representation of sketch size
  `samplingProbability` - probability from 0 to 1
  `numValues` - Number of double values to keep for each key

### Method Detail

#### exec

    public org.apache.pig.data.Tuple exec(org.apache.pig.data.Tuple inputTuple)
                                   throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>`
Throws:
  `IOException`